> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poyo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Gemini Omni 1.1 Flash

> The Gemini Omni 1.1 Flash API generates 4–10 second videos from text, one or two keyframes, up to seven reference images, or one 3–10 second reference video at 360p to 4K.

<Tip>
  1. After submission, a `task_id` will be returned. If you provided a `callback_url`, when the task status becomes `finished` or `failed`, a POST request will be sent to the `callback_url`.
  2. Regardless of whether `callback_url` is provided, you can retrieve the result through the unified [Query Task Status](/api-manual/task-management/status) endpoint.
</Tip>

`gemini-omni-1.1-flash` generates videos from a text prompt, optional first and last frames, ordinary reference images, or one reference video.

## Models

* **gemini-omni-1.1-flash** - Text-to-video, first/last-frame generation, reference image generation, and reference-video generation

## Input modes

* **Text to video**: Send `prompt` and optional generation settings
* **First/last frame video**: Send one or two images in `image_urls`
* **Reference image video**: Send up to seven images in `reference_image_urls`
* **Reference video**: Send one video from three to ten seconds in `reference_video_urls`, optionally together with up to five reference images

## Required parameters

* **prompt**: Text prompt describing the scene, motion, style, camera behavior, and other generation instructions

## Optional parameters

* **image\_urls**: First-frame and optional last-frame image URL array. At most `2` images are allowed
* **reference\_image\_urls**: Ordinary reference image URL array. At most `7` images are allowed, or `5` when a reference video is also provided
* **reference\_video\_urls**: Reference video URL array. At most `1` video is allowed and its duration must be from `3` to `10` seconds, inclusive
* **resolution**: `360p`, `720p`, `1080p`, or `4k`. Default is `720p`
* **duration**: `4`, `6`, `8`, or `10` seconds. Default is `8`. This field does not affect output duration when a reference video is provided
* **aspect\_ratio**: `16:9` or `9:16`. Default is `16:9`
* **callback\_url**: Optional webhook URL for completion notifications

## Examples

### Text to Video

```json theme={null}
{
  "model": "gemini-omni-1.1-flash",
  "callback_url": "https://your-domain.com/callback",
  "input": {
    "prompt": "A cinematic night city with neon reflections, a slow camera push-in, and a character walking into frame",
    "resolution": "720p",
    "duration": 8,
    "aspect_ratio": "16:9"
  }
}
```

### First and Last Frames

```json theme={null}
{
  "model": "gemini-omni-1.1-flash",
  "input": {
    "prompt": "Create a smooth cinematic transition between the opening and closing frames",
    "image_urls": [
      "https://example.com/first-frame.webp",
      "https://example.com/last-frame.webp"
    ],
    "resolution": "1080p",
    "duration": 8,
    "aspect_ratio": "16:9"
  }
}
```

### Reference Images

```json theme={null}
{
  "model": "gemini-omni-1.1-flash",
  "input": {
    "prompt": "Use the product and environment references to create a polished studio campaign video",
    "reference_image_urls": [
      "https://example.com/product.webp",
      "https://example.com/environment.webp"
    ],
    "resolution": "720p",
    "duration": 8,
    "aspect_ratio": "9:16"
  }
}
```

### Reference Video

```json theme={null}
{
  "model": "gemini-omni-1.1-flash",
  "input": {
    "prompt": "Follow the motion of the reference video while applying the visual style of the image",
    "reference_image_urls": ["https://example.com/style.webp"],
    "reference_video_urls": ["https://example.com/reference.mp4"],
    "resolution": "720p",
    "aspect_ratio": "16:9"
  }
}
```

## Notes

* `image_urls` cannot be combined with `reference_image_urls` or `reference_video_urls`
* Use public HTTPS media URLs, or upload files through the playground before submitting
* The response returns a `task_id`; query task status to retrieve generated video files


## OpenAPI

````yaml api-manual/video-series/gemini-omni-1.1-flash.json POST /api/generate/submit
openapi: 3.0.0
info:
  title: PoYo AI - Gemini Omni 1.1 Flash API
  description: >-
    The Gemini Omni 1.1 Flash API generates 4–10 second videos from text, one or
    two keyframes, up to seven reference images, or one 3–10 second reference
    video at 360p to 4K.
  version: 1.0.0
servers:
  - url: https://api.poyo.ai
    description: Production server
security:
  - BearerAuth: []
paths:
  /api/generate/submit:
    post:
      tags:
        - Gemini Omni 1.1 Flash
      summary: Submit Gemini Omni 1.1 Flash Task
      description: >-
        Generate a video from text, keyframes, reference images, or a reference
        video
      operationId: submitGeminiOmni11FlashTask
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitRequest'
            examples:
              text-to-video:
                summary: Text to video
                value:
                  model: gemini-omni-1.1-flash
                  callback_url: https://your-domain.com/callback
                  input:
                    prompt: >-
                      A cinematic night city with neon reflections and a slow
                      camera push-in
                    resolution: 720p
                    duration: 8
                    aspect_ratio: '16:9'
              first-last-frame:
                summary: First and last frame video
                value:
                  model: gemini-omni-1.1-flash
                  input:
                    prompt: >-
                      Create a smooth cinematic transition between the two
                      frames
                    image_urls:
                      - https://example.com/first-frame.webp
                      - https://example.com/last-frame.webp
                    resolution: 1080p
                    duration: 8
                    aspect_ratio: '16:9'
              reference-images:
                summary: Reference image video
                value:
                  model: gemini-omni-1.1-flash
                  input:
                    prompt: >-
                      Use the references to create a polished product campaign
                      video
                    reference_image_urls:
                      - https://example.com/product.webp
                      - https://example.com/environment.webp
                    resolution: 720p
                    duration: 8
                    aspect_ratio: '9:16'
              reference-video:
                summary: Reference video generation
                value:
                  model: gemini-omni-1.1-flash
                  input:
                    prompt: >-
                      Follow the reference motion while applying the supplied
                      visual style
                    reference_image_urls:
                      - https://example.com/style.webp
                    reference_video_urls:
                      - https://example.com/reference.mp4
                    resolution: 720p
                    aspect_ratio: '16:9'
      responses:
        '200':
          description: Task submitted successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmitResponse'
components:
  schemas:
    SubmitRequest:
      type: object
      required:
        - model
        - input
      properties:
        model:
          type: string
          description: Gemini Omni 1.1 Flash model identifier
          enum:
            - gemini-omni-1.1-flash
        callback_url:
          type: string
          format: uri
          description: Webhook callback URL for result notifications
          example: https://your-domain.com/callback
        input:
          type: object
          required:
            - prompt
          properties:
            prompt:
              type: string
              description: >-
                Text prompt for video generation. Maximum length is 20,000
                characters.
              minLength: 1
              maxLength: 20000
              example: >-
                A cinematic night city with neon reflections and a slow camera
                push-in
            image_urls:
              type: array
              description: >-
                Optional first-frame and last-frame images. At most two images
                are supported.
              minItems: 1
              maxItems: 2
              items:
                type: string
                format: uri
              example:
                - https://example.com/first-frame.webp
                - https://example.com/last-frame.webp
            reference_image_urls:
              type: array
              description: >-
                Optional reference images. At most seven images are supported,
                or five when a reference video is provided.
              minItems: 1
              maxItems: 7
              items:
                type: string
                format: uri
              example:
                - https://example.com/reference-image.webp
            reference_video_urls:
              type: array
              description: >-
                Optional reference video. At most one video is supported, with a
                duration from 3 to 10 seconds inclusive.
              minItems: 1
              maxItems: 1
              items:
                type: string
                format: uri
              example:
                - https://example.com/reference-video.mp4
              x-video-duration-seconds:
                minimum: 3
                maximum: 10
            resolution:
              type: string
              description: >-
                The resolution of the generated video. Available values are
                360p, 720p, 1080p, and 4k.
              enum:
                - 360p
                - 720p
                - 1080p
                - 4k
              default: 720p
              example: 720p
            duration:
              type: integer
              description: >-
                Output duration in seconds. Default is 8. This field does not
                affect reference-video generation.
              enum:
                - 4
                - 6
                - 8
                - 10
              default: 8
              example: 8
            aspect_ratio:
              type: string
              description: >-
                The aspect ratio of the generated video. 16:9 is landscape, and
                9:16 is portrait.
              enum:
                - '16:9'
                - '9:16'
              default: '16:9'
              example: '16:9'
          allOf:
            - not:
                required:
                  - image_urls
                  - reference_image_urls
            - not:
                required:
                  - image_urls
                  - reference_video_urls
    SubmitResponse:
      type: object
      required:
        - code
        - data
      properties:
        code:
          type: integer
          example: 200
        message:
          type: string
          example: success
        data:
          type: object
          required:
            - task_id
            - status
            - created_time
          properties:
            task_id:
              type: string
              example: task-unified-1757165031-uyujaw3d
            status:
              type: string
              enum:
                - not_started
            created_time:
              type: string
              format: date-time
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        All API endpoints require Bearer Token authentication


        Get your API Key:


        Visit the [API Key Management Page](https://poyo.ai/dashboard/api-key)
        to get your API Key


        Add it to the request header:


        ```

        Authorization: Bearer YOUR_API_KEY

        ```

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.